org.apache.fop.fo.properties

## Class KeepProperty.Maker

- java.lang.Object
- - org.apache.fop.fo.properties.PropertyMaker
  - - org.apache.fop.fo.properties.CompoundPropertyMaker
    - - org.apache.fop.fo.properties.KeepProperty.Maker

- All Implemented Interfaces:
    java.lang.Cloneable
  Enclosing class:
    KeepProperty

      public static class KeepProperty.Maker
      extends CompoundPropertyMaker

  Inner class for creating instances of KeepProperty

- - ### Field Summary

    - ### Fields inherited from class org.apache.fop.fo.properties.PropertyMaker

      `contextDep, corresponding, defaultProperty, defaultValue, propId, setByShorthand`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Maker(int propId)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Property` | `convertProperty(Property p, PropertyList propertyList, FObj fo)` Return a Property object based on the passed Property object.
    `Property` | `makeNewProperty()` Create a new empty instance of KeepProperty.

    - ### Methods inherited from class org.apache.fop.fo.properties.CompoundPropertyMaker

      `addSubpropMaker, checkEnumValues, get, getSubpropMaker, make, make, make, makeCompound, useGeneric`

    - ### Methods inherited from class org.apache.fop.fo.properties.PropertyMaker

      `addEnum, addKeyword, addShorthand, checkValueKeywords, clone, compute, convertPropertyDatatype, convertShorthandProperty, findProperty, getName, getPercentBase, getPropId, getShorthand, getSubprop, isInherited, setByShorthand, setCorresponding, setDatatypeParser, setDefault, setDefault, setInherited, setPercentBase, setSubprop`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Maker

          public Maker(int propId)

      Parameters:
        `propId` - the id of the property for which a Maker should be created

  - ### Method Detail

    - #### makeNewProperty

          public Property makeNewProperty()

      Create a new empty instance of KeepProperty.
      Overrides:
        `makeNewProperty` in class `PropertyMaker`
      Returns:
        the new instance.

    - #### convertProperty

          public Property convertProperty(Property p,
                                          PropertyList propertyList,
                                          FObj fo)
                                   throws PropertyException

      Return a Property object based on the passed Property object. This method is called if the Property object built by the parser isn't the right type for this compound property.
      Overrides:
        `convertProperty` in class `CompoundPropertyMaker`
      Parameters:
        `p` - The Property object return by the expression parser
        `propertyList` - The PropertyList object being built for this FO.
        `fo` - The parent FO for the FO whose property is being made.
      Returns:
        A Property of the correct type or null if the parsed value can't be converted to the correct type.
      Throws:
        `PropertyException` - for invalid or inconsistent FO input

Copyright 1999-2020 The Apache Software Foundation. All Rights Reserved.